Module org.firebirdsql.jaybird
Package org.firebirdsql.gds

# Class JaybirdSystemProperties

java.lang.Object
org.firebirdsql.gds.JaybirdSystemProperties

public final class JaybirdSystemProperties extends Object
Class to access Jaybird-specific system properties from a single place.

Author:
  Mark Rotteveel

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DATATYPE_CODER_CACHE_SIZE`
`static final String`
`DEFAULT_ASYNC_FETCH`
`static final String`
`DEFAULT_CONNECTION_ENCODING_PROPERTY`
`static final String`
`DEFAULT_ENABLE_PROTOCOL`
`static final String`
`DEFAULT_MAX_BLOB_CACHE_SIZE`
`static final String`
`DEFAULT_MAX_INLINE_BLOB_SIZE`
`static final String`
`DEFAULT_REPORT_SQL_WARNINGS`
`static final String`
`NATIVE_LIBRARY_SHUTDOWN_DISABLED`
`static final String`
`PROCESS_ID_PROP`
`static final String`
`PROCESS_NAME_PROP`
`static final String`
`REQUIRE_CONNECTION_ENCODING_PROPERTY`
`static final String`
`SYNC_WRAP_NATIVE_LIBRARY_PROP`
`static final String`
`WIRE_DECRYPT_BUFFER_SIZE`
`static final String`
`WIRE_DEFLATE_BUFFER_SIZE`
`static final String`
`WIRE_INFLATE_BUFFER_SIZE`
`static final String`
`WIRE_INPUT_BUFFER_SIZE`
`static final String`
`WIRE_OUTPUT_BUFFER_SIZE`

## Method Summary

Modifier and Type
Method
Description
`static int`
`getDatatypeCoderCacheSize(int defaultValue)`
`static Boolean`
`getDefaultAsyncFetch()`
`static String`
`getDefaultConnectionEncoding()`
`static String`
`getDefaultEnableProtocol()`
`static Integer`
`getDefaultMaxBlobCacheSize()`
`static Integer`
`getDefaultMaxInlineBlobSize()`
`static String`
`getDefaultReportSQLWarnings()`
`static Integer`
`getProcessId()`
`static String`
`getProcessName()`
`static int`
`getWireDecryptBufferSize(int defaultValue)`
`static int`
`getWireDeflateBufferSize(int defaultValue)`
`static int`
`getWireInflateBufferSize(int defaultValue)`
`static int`
`getWireInputBufferSize(int defaultValue)`
`static int`
`getWireOutputBufferSize(int defaultValue)`
`static boolean`
`isNativeResourceShutdownDisabled()`
`static boolean`
`isRequireConnectionEncoding()`
`static boolean`
`isSyncWrapNativeLibrary()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SYNC_WRAP_NATIVE_LIBRARY_PROP

public static final String SYNC_WRAP_NATIVE_LIBRARY_PROP

See Also:
  - Constant Field Values

### PROCESS_ID_PROP

public static final String PROCESS_ID_PROP

See Also:
  - Constant Field Values

### PROCESS_NAME_PROP

public static final String PROCESS_NAME_PROP

See Also:
  - Constant Field Values

### DEFAULT_CONNECTION_ENCODING_PROPERTY

public static final String DEFAULT_CONNECTION_ENCODING_PROPERTY

See Also:
  - Constant Field Values

### REQUIRE_CONNECTION_ENCODING_PROPERTY

public static final String REQUIRE_CONNECTION_ENCODING_PROPERTY

See Also:
  - Constant Field Values

### DEFAULT_ENABLE_PROTOCOL

public static final String DEFAULT_ENABLE_PROTOCOL

See Also:
  - Constant Field Values

### DEFAULT_REPORT_SQL_WARNINGS

public static final String DEFAULT_REPORT_SQL_WARNINGS

See Also:
  - Constant Field Values

### DEFAULT_ASYNC_FETCH

public static final String DEFAULT_ASYNC_FETCH

See Also:
  - Constant Field Values

### DEFAULT_MAX_INLINE_BLOB_SIZE

public static final String DEFAULT_MAX_INLINE_BLOB_SIZE

See Also:
  - Constant Field Values

### DEFAULT_MAX_BLOB_CACHE_SIZE

public static final String DEFAULT_MAX_BLOB_CACHE_SIZE

See Also:
  - Constant Field Values

### DATATYPE_CODER_CACHE_SIZE

public static final String DATATYPE_CODER_CACHE_SIZE

See Also:
  - Constant Field Values

### NATIVE_LIBRARY_SHUTDOWN_DISABLED

public static final String NATIVE_LIBRARY_SHUTDOWN_DISABLED

See Also:
  - Constant Field Values

### WIRE_DEFLATE_BUFFER_SIZE

public static final String WIRE_DEFLATE_BUFFER_SIZE

See Also:
  - Constant Field Values

### WIRE_INFLATE_BUFFER_SIZE

public static final String WIRE_INFLATE_BUFFER_SIZE

See Also:
  - Constant Field Values

### WIRE_DECRYPT_BUFFER_SIZE

public static final String WIRE_DECRYPT_BUFFER_SIZE

See Also:
  - Constant Field Values

### WIRE_INPUT_BUFFER_SIZE

public static final String WIRE_INPUT_BUFFER_SIZE

See Also:
  - Constant Field Values

### WIRE_OUTPUT_BUFFER_SIZE

public static final String WIRE_OUTPUT_BUFFER_SIZE

See Also:
  - Constant Field Values

## Method Details

### isSyncWrapNativeLibrary

public static boolean isSyncWrapNativeLibrary()

### getProcessId

public static Integer getProcessId()

### getProcessName

public static String getProcessName()

### getDefaultConnectionEncoding

public static String getDefaultConnectionEncoding()

### isRequireConnectionEncoding

public static boolean isRequireConnectionEncoding()

### isNativeResourceShutdownDisabled

public static boolean isNativeResourceShutdownDisabled()

### getDatatypeCoderCacheSize

public static int getDatatypeCoderCacheSize(int defaultValue)

### getWireDeflateBufferSize

public static int getWireDeflateBufferSize(int defaultValue)

### getWireInflateBufferSize

public static int getWireInflateBufferSize(int defaultValue)

### getWireDecryptBufferSize

public static int getWireDecryptBufferSize(int defaultValue)

### getWireInputBufferSize

public static int getWireInputBufferSize(int defaultValue)

### getWireOutputBufferSize

public static int getWireOutputBufferSize(int defaultValue)

### getDefaultEnableProtocol

public static String getDefaultEnableProtocol()

### getDefaultReportSQLWarnings

public static String getDefaultReportSQLWarnings()

### getDefaultAsyncFetch

public static Boolean getDefaultAsyncFetch()

### getDefaultMaxInlineBlobSize

public static Integer getDefaultMaxInlineBlobSize()

### getDefaultMaxBlobCacheSize

public static Integer getDefaultMaxBlobCacheSize()